/*
*	This file is part of the EMFexplorer projet.
*	Copyright (C) 2004 Smith Charles.
*
*	This library is free software; you can redistribute it and/or
*	modify it under the terms of the GNU Lesser General Public
*	License as published by the Free Software Foundation; either
*	version 2.1 of the License, or (at your option) any later version.
*
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Lesser General Public License for more details.
*
*   You should have received a copy of the GNU Lesser General Public
*   License along with this library; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*
*	Extension: for commercial use, apply the Equity Public License, which
*	adds to the normal terms of the GLPL a condition of donation to the author.
*   If you are interested in support for this source code,
*   contact Smith Charles <smith.charles@free.fr> for more information.
*/
#ifndef _KSCEMFLIBERROR_H_
#define _KSCEMFLIBERROR_H_

#if 0
// Architecture stuff (for future extension)

#include "SCInclude.h"
#include SC_INC_CTTOOLS(ktoError.h)		//Error domains and Common error codes
#include SC_INC_ERRLIB(kToErr.h)		//CSCError, CSCErrorBlock (link with errorlib)
#include SC_INC_ERRLIB(kToModules.h)	//Macros for modules

#define SCEMFLIB_ERROR(lErrorNum)		SCEMFEXPLORER_ERROR(lErrorNum, SC_MODULE_CLIENT_RENDERER)
#define SCEMFLIB_ERRORMSG(szMsg)		SCEMFEXPLORER_ERRORBLOCK(szMsg, SC_SCEMFLIB_CONTEXT_MESSAGE_ERROR, SC_MODULE_CLIENT_RENDERER)

#endif

#include "kSCEMFLIBErrorIndex.h"			

#endif //_KSCEMFLIBERROR_H_
//  ------------------------------------------------------------
