/*
*	This file is part of the EMFexplorer projet.
*	Copyright (C) 2004 Smith Charles.
*
*	This library is free software; you can redistribute it and/or
*	modify it under the terms of the GNU Lesser General Public
*	License as published by the Free Software Foundation; either
*	version 2.1 of the License, or (at your option) any later version.
*
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Lesser General Public License for more details.
*
*   You should have received a copy of the GNU Lesser General Public
*   License along with this library; if not, write to the Free Software
*   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
*
*	Extension: for commercial use, apply the Equity Public License, which
*	adds to the normal terms of the GLPL a condition of donation to the author.
*   If you are interested in support for this source code,
*   contact Smith Charles <smith.charles@free.fr> for more information.
*/


#include "stdafx.h"
#include "SCZoomShrd.h"
#include SC_INC_EMFLIB(SCEMFViewDefs.h)

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern const SCZoomEntry sc_ZoomList[] = {
	_T(""), SC_MIN_ZOOM,
	_T(""), 833,
	_T(""), 1250,
	_T(""), 2500,
	_T(""), 5000,
	_T(""), 7500,
	_T(""), 10000,
	_T(""), 12500,
	_T(""), 13333,
	_T(""), 15000,
	_T(""), 20000,
	_T(""), 30000,
	_T(""), 40000,
	_T(""), 60000,
	_T(""), 80000,
#if (SC_MAX_ZOOM>100000)
	_T(""), 100000,
#endif
	_T(""), SC_MAX_ZOOM,
	_T("Fit Width"), SC_ZOOM_FITWITDH,
	_T("Fit Page"), SC_ZOOM_FITPAGE
};
extern const USHORT cs_usZoomCount = sizeof(sc_ZoomList)/sizeof(SCZoomEntry);

